Apache Tomcat 6.0.51

## org.apache.tomcat.util.http.fileupload
Class MultipartStream.MalformedStreamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.tomcat.util.http.fileupload.MultipartStream.MalformedStreamException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MultipartStream

    public class MultipartStream.MalformedStreamException

extends java.io.IOException

Thrown to indicate that the input stream fails to follow the required syntax.

See Also:
  Serialized Form

Constructor Summary
`MultipartStream.MalformedStreamException()` Constructs a `MalformedStreamException` with no detail message.
`MultipartStream.MalformedStreamException(java.lang.String message)` Constructs an `MalformedStreamException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultipartStream.MalformedStreamException

    public MultipartStream.MalformedStreamException()

  Constructs a `MalformedStreamException` with no detail message.

### MultipartStream.MalformedStreamException

    public MultipartStream.MalformedStreamException(java.lang.String message)

  Constructs an `MalformedStreamException` with the specified detail message.

  Parameters:
    `message` - The detail message.

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.